Subject: Re: linux-next: mfd tree build failure

From: Samuel Ortiz <[email-masked]>
Date: Mon, 23 Nov 2009 15:44:14 +0100

On Mon, Nov 23, 2009 at 01:11:13PM +0000, Mark Brown wrote:
> On Mon, Nov 23, 2009 at 01:29:04PM +0100, Samuel Ortiz wrote:
> 
> > True. Mark, I think we should get those symbols exported, unless you have a
> > better idea ? Having wm831x as a boolean choice from Kconfig doesnt sound too
> > god to me.
> 
> I don't see getting them exported flying, especially not in the
> timeframe we've got for the merge window.  Keeping them non-exported has
> been a deliberate decision on the part of the genirq maintainers. 
Out of curiosity, what's the reasoning behind thatdecision ?

> I'll send a patch making it built in.
Thanks, patch applied.

Cheers,
Samuel.

> Given the typical applications for these parts building the driver in
> isn't the end of the world - there's a reasonable chance it'll be forced
> built in for other reasons due to device-specific configuration.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/